Bug 1629795

Summary: python-requests-cache: please readd it (sub)packages from Fedora 30+: python2-requests-cache
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-requests-cacheAssignee: Richard Shaw <hobbes1069>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, hobbes1069, igor.raits, mhroncok, ngompa13, pviktori, relrod, sergio, zbyszek
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: hobbes1069: needinfo? (relrod)
Hardware: Unspecified   
OS: Unspecified   
URL: https://src.fedoraproject.org/rpms/python-requests-cache/pull-request/1
Whiteboard:
Fixed In Version: python-requests-cache-0.4.13-5.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-22 20:53:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-09-17 13:04:52 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-requests-cache were marked for removal:

 * python2-requests-cache

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-10-12 19:20:30 UTC
Rebuilt without the python2 subpackage

Comment 2 Sergio Basto 2018-11-08 01:42:22 UTC
it is need by mythtv [1] , 3rd part software doesn't count ? 

[1] 
dnf repoquery --available --whatrequires python2-requests-cache  --alldeps --quiet --qf "%{name}"

mythtv-backend
mythtv-common

Comment 3 Miro Hrončok 2018-11-08 10:43:12 UTC
That would be up to the maintainer.

Comment 4 Sergio Basto 2018-11-09 17:42:38 UTC
ok please re add it for Mythtv, I had check and will not be easy built it without disable some features [1] (Ttvdb) 


https://www.mythtv.org/wiki/Ttvdb.py

Comment 5 Sergio Basto 2018-11-14 16:42:34 UTC
ok  maybe we can have mythtv with python3 , so we may hold this request

Comment 6 Richard Shaw 2018-12-16 14:16:52 UTC
From my conversations on the MythTV devel list, mythtv as a whole (not just ttvdb.py) is not ready for Python 3 so if we could provide both a Py2 and Py3 package for F30 that would be great.

Comment 7 Sergio Basto 2018-12-16 19:33:23 UTC
Reopen it , yeah we are trying move to Py3 , but is not easy ...

Comment 8 Richard Shaw 2019-01-15 16:41:31 UTC
Any objection to myself or another proven packager updating the package to have both py2 and py3 subpackages?

Comment 9 Richard Shaw 2019-02-22 15:41:42 UTC
I have submitted a pull request which fixes this 7 days ago. Can I at least get a response to know if I can use my provenpackager status to fix this?

Comment 10 Miro Hrončok 2019-02-22 15:52:34 UTC
Please do. Also I suggest to open a nonrepsonsive maintainer procedure for Rick.

Would you be willing to add this package here as well: https://github.com/fedora-python/portingdb/blob/master/portingdb/check_drops.py#L539 ?

Thanks.